Bug 15142 - Titles facet does not work in UNIMARC
Summary: Titles facet does not work in UNIMARC
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 14:34 UTC by Fridolin SOMERS
Modified: 2020-02-10 03:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 15142: Remove titles facet for UNIMARC (1.13 KB, patch)
2019-11-22 14:26 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 15142: Remove titles facet for UNIMARC (1.20 KB, patch)
2019-11-22 22:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15142: (follow-up) remove from Zebra UNIMARC config files (1.12 KB, patch)
2019-11-26 08:45 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 15142: Remove titles facet for UNIMARC (1.25 KB, patch)
2019-12-31 09:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15142: (follow-up) remove from Zebra UNIMARC config files (1.17 KB, patch)
2019-12-31 09:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15142: (follow-up) Remove facet configuration from .xsl file (1.85 KB, patch)
2019-12-31 09:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15142: Remove titles facet for UNIMARC (1.33 KB, patch)
2020-01-10 12:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15142: (follow-up) remove from Zebra UNIMARC config files (1.25 KB, patch)
2020-01-10 12:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15142: (follow-up) Remove facet configuration from .xsl file (1.93 KB, patch)
2020-01-10 12:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-11-05 14:34:17 UTC
There is a "Titles" facet using in UNIMARC 500$a, 501$a and 503$a :

In etc/zebradb/marc_defs/unimarc/biblios/biblio-koha-indexdefs.xml
  <facet tag="500" subfields="a">
    <target_index>su-ut:0</target_index>
  </facet>
  <facet tag="501" subfields="a">
    <target_index>su-ut:0</target_index>
  </facet>
  <facet tag="503" subfields="a">
    <target_index>su-ut:0</target_index>
  </facet>

In etc/zebradb/ccl.properties :
  su-ut Subject

The problem is that 500$a, 501$a and 503$a are not indexed as Subject :
In etc/zebradb/marc_defs/unimarc/biblios/biblio-koha-indexdefs.xml

  <!--record.abs line 262: melm 500		Title,Title:p-->
  <index_data_field tag="500">
    <target_index>Title:w</target_index>
    <target_index>Title:p</target_index>
  </index_data_field>
  <!--record.abs line 263: melm 501		Title,Title:p-->
  <index_data_field tag="501">
    <target_index>Title:w</target_index>
    <target_index>Title:p</target_index>
  </index_data_field>
  <!--record.abs line 264: melm 503		Title,Title:p-->
  <index_data_field tag="503">
    <target_index>Title:w</target_index>
    <target_index>Title:p</target_index>
  </index_data_field>

How should we change this configuration ?

In MARC21, this facet uses field 630 that is indexed as Subject.
Comment 1 Tomás Cohen Arazi 2015-11-05 22:13:58 UTC
A side note from a non-UNIMARC guy: when I wrote the facets section for biblio-koha-indexdefs.xml (UNIMARC) I just grabbed the facet creation information from C4::Koha->getFacets().

So the Zebra facets are defined exactly as to old ones.
Comment 2 Fridolin SOMERS 2015-12-02 12:36:50 UTC
There is an index "Title-uniform" should it be used for 500 and facet su-ut ?
Comment 3 Andreas Roussos 2017-11-08 09:38:05 UTC
The Titles facet still doesn't work for UNIMARC installations (I've tested versions 16.05.16 and 17.05.05).

We fixed this by changing the zebra index name to 'Subject,Subject:p'.
Comment 4 Fridolin SOMERS 2019-11-22 14:25:38 UTC
In the end I think the best solution is to remove this facet for UNIMARC
Comment 5 Fridolin SOMERS 2019-11-22 14:26:17 UTC
Created attachment 95726 [details] [review]
Bug 15142: Remove titles facet for UNIMARC

There is a facet using 500$a, 501$a and 503$a and Subject index.
In UNIMARC 500$a, 501$a and 503$a are not indexed as Subject.
I propose to remove this facet for UNIMARC, looks like it does not make
sens.

Test plan:
1) Install UNIMARC database
2) Edit some records to have 500$a
3) Perform a search to find those records
4) Check you dont see the titles facet
Comment 6 Katrin Fischer 2019-11-22 22:33:21 UTC
Created attachment 95753 [details] [review]
Bug 15142: Remove titles facet for UNIMARC

There is a facet using 500$a, 501$a and 503$a and Subject index.
In UNIMARC 500$a, 501$a and 503$a are not indexed as Subject.
I propose to remove this facet for UNIMARC, looks like it does not make
sens.

Test plan:
1) Install UNIMARC database
2) Edit some records to have 500$a
3) Perform a search to find those records
4) Check you dont see the titles facet

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2019-11-25 14:30:32 UTC
Should not it be removed from xsl and xml files in etc/zebradb/marc_defs/unimarc/biblios?
Comment 8 Fridolin SOMERS 2019-11-26 08:45:27 UTC
Created attachment 95810 [details] [review]
Bug 15142: (follow-up) remove from Zebra UNIMARC config files
Comment 9 Fridolin SOMERS 2019-11-26 08:46:00 UTC
(In reply to Jonathan Druart from comment #7)
> Should not it be removed from xsl and xml files in
> etc/zebradb/marc_defs/unimarc/biblios?

Yes indeed
Comment 10 Katrin Fischer 2019-12-31 09:32:04 UTC
Created attachment 96696 [details] [review]
Bug 15142: Remove titles facet for UNIMARC

There is a facet using 500$a, 501$a and 503$a and Subject index.
In UNIMARC 500$a, 501$a and 503$a are not indexed as Subject.
I propose to remove this facet for UNIMARC, looks like it does not make
sens.

Test plan:
1) Install UNIMARC database
2) Edit some records to have 500$a
3) Perform a search to find those records
4) Check you dont see the titles facet

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2019-12-31 09:32:13 UTC
Created attachment 96697 [details] [review]
Bug 15142: (follow-up) remove from Zebra UNIMARC config files

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2019-12-31 09:32:17 UTC
Created attachment 96698 [details] [review]
Bug 15142: (follow-up) Remove facet configuration from .xsl file

Removes last remaining bit of configuration for the Titles facet
configuration.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Jonathan Druart 2020-01-10 12:59:00 UTC
Created attachment 97193 [details] [review]
Bug 15142: Remove titles facet for UNIMARC

There is a facet using 500$a, 501$a and 503$a and Subject index.
In UNIMARC 500$a, 501$a and 503$a are not indexed as Subject.
I propose to remove this facet for UNIMARC, looks like it does not make
sens.

Test plan:
1) Install UNIMARC database
2) Edit some records to have 500$a
3) Perform a search to find those records
4) Check you dont see the titles facet

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2020-01-10 12:59:04 UTC
Created attachment 97194 [details] [review]
Bug 15142: (follow-up) remove from Zebra UNIMARC config files

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2020-01-10 12:59:08 UTC
Created attachment 97195 [details] [review]
Bug 15142: (follow-up) Remove facet configuration from .xsl file

Removes last remaining bit of configuration for the Titles facet
configuration.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Martin Renvoize 2020-01-10 16:23:19 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 17 Joy Nelson 2020-01-31 00:19:45 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 18 Lucas Gass 2020-02-06 14:54:12 UTC
backported to 19.05.x for 19.05.08
Comment 19 Hayley Mapley 2020-02-10 03:05:19 UTC
Enhancement will not be backported to 18.11.x series.